function init(hero) {
    hero.setName("Wasabi");
    hero.setVersion("Animated Series");
    hero.setTier(2);
    
    hero.setHelmet("Visor");
    hero.setChestplate("Jacket");
    hero.setLeggings("Jeans");
    hero.setBoots("Boots");
    
    hero.addAbilities("fiskheroes:retractable_shield");
    hero.addAttribute("FALL_RESISTANCE", 1.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.25, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.75, 1);
    hero.addAttribute("ATTACK_DAMAGE", 0.75, 1);
    
    hero.addKeyBind("SHIELD", "Energy Blades", 1);
    
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function shieldProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 1.5, 1);
    profile.addAttribute("FALL_RESISTANCE", 1.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.25, 0);
    profile.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    profile.addAttribute("SPRINT_SPEED", 0.75, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}